lxdream.org :: Issues
lxdream 0.9.1
released Jun 29
Download Now

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000004lxdreamOtherpublic2006-07-03 19:262008-02-03 18:34
Reporternkeynes 
Assigned Tonkeynes 
PriorityhighSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version 
Summary0000004: System test harness
DescriptionWhile there are a few independent test cases now, they haven't been committed into CVS, nor are they run from make. These need to be integrated cleanly into the tree and made into an automated test suite.

It would also be handy to have a quick way to execute the tests using dc-tool to compare results with the real hardware.
TagsNo tags attached.
MilestoneM2
Attached Files

- Relationships

-  Notes
(0000001)
anonymous (viewer)
2006-07-10 18:44
edited on: 2006-07-10 18:44

System test harness is in now. Some kind of unit test framework could probably be usefully used to simplify assertion checking, or we can roll our own.

Need to finish converting over the old test code to work within the framework (and do proper assertions)

(0000023)
nkeynes (administrator)
2007-01-28 15:15

Marking as done. Testing is still not nearly as thorough as it should be, but the framework is there.

- Issue History
Date Modified Username Field Change
2006-07-03 19:26 nkeynes New Issue
2006-07-03 19:30 nkeynes Status new => assigned
2006-07-03 19:30 nkeynes Assigned To => nkeynes
2006-07-10 18:44 anonymous Note Added: 0000001
2006-07-10 18:44 nkeynes Note Edited: 0000001
2006-09-12 17:16 nkeynes Milestone => M2
2006-09-12 17:16 nkeynes Severity major => minor
2007-01-28 15:15 nkeynes Status assigned => resolved
2007-01-28 15:15 nkeynes Resolution open => fixed
2007-01-28 15:15 nkeynes Note Added: 0000023
2008-02-03 18:34 nkeynes Status resolved => closed
.